using UnityEngine;
using System.Collections;
using UnityEngine.UI;

public class StartManager : MonoBehaviour {
    [SerializeField]
    GameObject obj;
    [SerializeField]
    Image TestImage;
    [SerializeField]
    Image Test2Image;
    [SerializeField]
    Image Test3Image;
    // Use this for initialization
    void Start () {
        obj.GetComponent<ColorFade>().Fadeout();
        obj1 = TestImage.transform.position;
        obj2 = Test2Image.transform.position;
        obj3 = Test3Image.transform.position;
        ReturnSet();
    }
    Vector3 obj1, obj2, obj3;
	// Update is called once per frame
	void Update () {

    }

    public void OnClick() {
        obj.GetComponent<ColorFade>().Fadein(1.0f);
        TestImage.transform.position = new Vector3(3000, 0, 0);
        Test2Image.transform.position = new Vector3(3000, 0, 0);
        Test3Image.transform.position = obj3;
    }
    public void buttonjam() {
        Vector3 pos = transform.position;
        TestImage.transform.position = pos;
    }
    public void ReturnSet() {
        TestImage.transform.position = obj1;
        Test2Image.transform.position = obj2;
        Test3Image.transform.position = new Vector3(3000, 0, 0);
    }
}
